pcl::poisson::PPolynomial< Degree > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/ppolynomial.h>`

## Public Member Functions

| PPolynomial (void)
| PPolynomial (const PPolynomial< Degree > &p)
| ~PPolynomial (void)
PPolynomial & | operator= (const PPolynomial &p)
int | size (void) const
void | set (std::size_t size)
void | set (StartingPolynomial< Degree > *sps, int count)
void | reset (std::size_t newSize)
double | operator() (double t) const
double | integral (double tMin, double tMax) const
double | Integral (void) const
template<int Degree2>
PPolynomial< Degree > & | operator= (const PPolynomial< Degree2 > &p)
PPolynomial | operator+ (const PPolynomial &p) const
PPolynomial | operator- (const PPolynomial &p) const
template<int Degree2>
PPolynomial< Degree+Degree2 > | operator* (const Polynomial< Degree2 > &p) const
template<int Degree2>
PPolynomial< Degree+Degree2 > | operator* (const PPolynomial< Degree2 > &p) const
PPolynomial & | operator+= (double s)
PPolynomial & | operator-= (double s)
PPolynomial & | operator*= (double s)
PPolynomial & | operator/= (double s)
PPolynomial | operator+ (double s) const
PPolynomial | operator- (double s) const
PPolynomial | operator* (double s) const
PPolynomial | operator/ (double s) const
PPolynomial & | addScaled (const PPolynomial &poly, double scale)
PPolynomial | scale (double s) const
PPolynomial | shift (double t) const
PPolynomial< Degree-1 > | derivative (void) const
PPolynomial< Degree+1 > | integral (void) const
void | getSolutions (double c, std::vector< double > &roots, double EPS, double min=-DBL_MAX, double max=DBL_MAX) const
void | printnl (void) const
PPolynomial< Degree+1 > | MovingAverage (double radius)
void | write (FILE *fp, int samples, double min, double max) const
template<>
PPolynomial< 0 > | BSpline (double radius)

## Static Public Member Functions

static PPolynomial | BSpline (double radius=0.5)

## Public Attributes

std::size_t | polyCount
StartingPolynomial< Degree > * | polys

## Detailed Description

### template<int Degree>
class pcl::poisson::PPolynomial< Degree >

Definition at line 58 of file ppolynomial.h.

## Constructor & Destructor Documentation

## PPolynomial() [1/2]

template<int Degree>

pcl::poisson::PPolynomial< Degree >::PPolynomial | ( | void |  | ) |

Definition at line 83 of file ppolynomial.hpp.

## PPolynomial() [2/2]

template<int Degree>

pcl::poisson::PPolynomial< Degree >::PPolynomial | ( | const PPolynomial< Degree > & | p | ) |

Definition at line 88 of file ppolynomial.hpp.

## ~PPolynomial()

template<int Degree>

pcl::poisson::PPolynomial< Degree >::~PPolynomial | ( | void |  | ) |

Definition at line 96 of file ppolynomial.hpp.

## Member Function Documentation

## addScaled()

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::addScaled | ( | const PPolynomial< Degree > & | poly,
|  | double | scale
| ) |  |

Definition at line 217 of file ppolynomial.hpp.

## BSpline() [1/2]

template<>

PPolynomial< 0 > pcl::poisson::PPolynomial< 0 >::BSpline | ( | double | radius | ) |

Definition at line 374 of file ppolynomial.hpp.

## BSpline() [2/2]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::BSpline | ( | double | radius = `0.5` | ) |

static

Definition at line 387 of file ppolynomial.hpp.

Referenced by pcl::poisson::PPolynomial< Degree+1 >::BSpline(), and pcl::poisson::BSplineData< Degree, BSplineDataReal >::set().

## derivative()

template<int Degree>

PPolynomial< Degree-1 > pcl::poisson::PPolynomial< Degree >::derivative | ( | void |  | ) | const

Definition at line 283 of file ppolynomial.hpp.

Referenced by pcl::poisson::BSplineData< Degree, BSplineDataReal >::setValueTables(), and pcl::poisson::FunctionData< Degree, Real >::setValueTables().

## getSolutions()

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::getSolutions | ( | double | c,
|  | std::vector< double > & | roots,
|  | double | EPS,
|  | double | min = `-DBL_MAX`,
|  | double | max = `DBL_MAX`
| ) |  | const

Definition at line 412 of file ppolynomial.hpp.

## integral() [1/2]

template<int Degree>

double pcl::poisson::PPolynomial< Degree >::integral | ( | double | tMin,
|  | double | tMax
| ) |  | const

Definition at line 162 of file ppolynomial.hpp.

## Integral()

template<int Degree>

double pcl::poisson::PPolynomial< Degree >::Integral | ( | void |  | ) | const

Definition at line 181 of file ppolynomial.hpp.

## integral() [2/2]

template<int Degree>

PPolynomial< Degree+1 > pcl::poisson::PPolynomial< Degree >::integral | ( | void |  | ) | const

Definition at line 293 of file ppolynomial.hpp.

## MovingAverage()

template<int Degree>

PPolynomial< Degree+1 > pcl::poisson::PPolynomial< Degree >::MovingAverage | ( | double | radius | ) |

Definition at line 392 of file ppolynomial.hpp.

Referenced by pcl::poisson::PPolynomial< Degree+1 >::BSpline(), pcl::poisson::BSplineData< Degree, BSplineDataReal >::setValueTables(), and pcl::poisson::FunctionData< Degree, Real >::setValueTables().

## operator()()

template<int Degree>

double pcl::poisson::PPolynomial< Degree >::operator() | ( | double | t | ) | const

Definition at line 154 of file ppolynomial.hpp.

## operator*() [1/3]

template<int Degree>
template<int Degree2>

PPolynomial< Degree+Degree2 > pcl::poisson::PPolynomial< Degree >::operator* | ( | const Polynomial< Degree2 > & | p | ) | const

Definition at line 257 of file ppolynomial.hpp.

## operator*() [2/3]

template<int Degree>
template<int Degree2>

PPolynomial< Degree+Degree2 > pcl::poisson::PPolynomial< Degree >::operator* | ( | const PPolynomial< Degree2 > & | p | ) | const

Definition at line 240 of file ppolynomial.hpp.

## operator*() [3/3]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator* | ( | double | s | ) | const

Definition at line 335 of file ppolynomial.hpp.

## operator*=()

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator*= | ( | double | s | ) |

Definition at line 309 of file ppolynomial.hpp.

## operator+() [1/2]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator+ | ( | const PPolynomial< Degree > & | p | ) | const

Definition at line 183 of file ppolynomial.hpp.

## operator+() [2/2]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator+ | ( | double | s | ) | const

Definition at line 321 of file ppolynomial.hpp.

## operator+=()

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator+= | ( | double | s | ) |

Definition at line 305 of file ppolynomial.hpp.

## operator-() [1/2]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator- | ( | const PPolynomial< Degree > & | p | ) | const

Definition at line 200 of file ppolynomial.hpp.

## operator-() [2/2]

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator- | ( | double | s | ) | const

Definition at line 328 of file ppolynomial.hpp.

## operator-=()

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator-= | ( | double | s | ) |

Definition at line 307 of file ppolynomial.hpp.

## operator/()

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::operator/ | ( | double | s | ) | const

Definition at line 342 of file ppolynomial.hpp.

## operator/=()

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator/= | ( | double | s | ) |

Definition at line 315 of file ppolynomial.hpp.

## operator=() [1/2]

template<int Degree>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator= | ( | const PPolynomial< Degree > & | p | ) |

Definition at line 136 of file ppolynomial.hpp.

## operator=() [2/2]

template<int Degree>
template<int Degree2>

PPolynomial< Degree > & pcl::poisson::PPolynomial< Degree >::operator= | ( | const PPolynomial< Degree2 > & | p | ) |

Definition at line 144 of file ppolynomial.hpp.

## printnl()

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::printnl | ( | void |  | ) | const

Definition at line 350 of file ppolynomial.hpp.

## reset()

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::reset | ( | std::size_t | newSize | ) |

Definition at line 129 of file ppolynomial.hpp.

## scale()

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::scale | ( | double | s | ) | const

Definition at line 267 of file ppolynomial.hpp.

## set() [1/2]

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::set | ( | StartingPolynomial< Degree > * | sps,
|  | int | count
| ) |  |

Definition at line 102 of file ppolynomial.hpp.

## set() [2/2]

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::set | ( | std::size_t | size | ) |

Definition at line 117 of file ppolynomial.hpp.

Referenced by pcl::poisson::PPolynomial< Degree+1 >::BSpline(), pcl::poisson::PPolynomial< Degree+1 >::derivative(), pcl::poisson::PPolynomial< Degree+1 >::integral(), pcl::poisson::PPolynomial< Degree+1 >::MovingAverage(), pcl::poisson::PPolynomial< Degree+1 >::operator*(), pcl::poisson::PPolynomial< Degree+1 >::operator+(), pcl::poisson::PPolynomial< Degree+1 >::operator-(), pcl::poisson::PPolynomial< Degree+1 >::scale(), and pcl::poisson::PPolynomial< Degree+1 >::shift().

## shift()

template<int Degree>

PPolynomial< Degree > pcl::poisson::PPolynomial< Degree >::shift | ( | double | t | ) | const

Definition at line 275 of file ppolynomial.hpp.

## size()

template<int Degree>

int pcl::poisson::PPolynomial< Degree >::size | ( | void |  | ) | const

Definition at line 114 of file ppolynomial.hpp.

## write()

template<int Degree>

void pcl::poisson::PPolynomial< Degree >::write | ( | FILE * | fp,
|  | int | samples,
|  | double | min,
|  | double | max
| ) |  | const

Definition at line 431 of file ppolynomial.hpp.

## Member Data Documentation

## polyCount

template<int Degree>

std::size_t pcl::poisson::PPolynomial< Degree >::polyCount

Definition at line 61 of file ppolynomial.h.

Referenced by pcl::poisson::PPolynomial< Degree+1 >::addScaled(), pcl::poisson::PPolynomial< Degree+1 >::operator*(), pcl::poisson::PPolynomial< Degree+1 >::operator+(), pcl::poisson::PPolynomial< Degree+1 >::operator-(), pcl::poisson::PPolynomial< Degree+1 >::operator=(), and pcl::poisson::PPolynomial< Degree+1 >::PPolynomial().

## polys

template<int Degree>

StartingPolynomial<Degree>* pcl::poisson::PPolynomial< Degree >::polys

Definition at line 62 of file ppolynomial.h.

Referenced by pcl::poisson::PPolynomial< Degree+1 >::addScaled(), pcl::poisson::PPolynomial< Degree+1 >::BSpline(), pcl::poisson::PPolynomial< Degree+1 >::integral(), pcl::poisson::PPolynomial< Degree+1 >::operator*(), pcl::poisson::PPolynomial< Degree+1 >::operator+(), pcl::poisson::PPolynomial< Degree+1 >::operator-(), pcl::poisson::PPolynomial< Degree+1 >::operator=(), pcl::poisson::PPolynomial< Degree+1 >::PPolynomial(), pcl::poisson::PPolynomial< Degree+1 >::scale(), and pcl::poisson::PPolynomial< Degree+1 >::shift().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/ppolynomial.h
- pcl/surface/3rdparty/poisson4/ppolynomial.hpp